#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - cpio installation
#
# Creation   :  2012-11-10 holbru
# Last update:  $Id: postinstall-cpio.sh 48058 2017-12-20 21:43:30Z hbfl $
#
# Copyright (c) 2012-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=cpio

# ---------------------------------------------------------------------------
# update-2.6.1
# ---------------------------------------------------------------------------
update_2_6_1()
{

# ---------------------------------------------------------------------------
# generate symlinks
# ---------------------------------------------------------------------------

cd /bin
rm -f cpio
ln -sf ../usr/bin/cpio

}

# ---------------------------------------------------------------------------
# update-2.8.1
# ---------------------------------------------------------------------------
update_2_8_1()
{

installed=$(eisman check cpio-mt)

if [ "${installed}" = "not-installed" ]
then
    if [ -f /usr/bin/mt ]
    then
        if $(/usr/bin/mt --version | grep -q 'cpio')
        then   
            rm -f /usr/bin/mt
        fi 
    fi
fi

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------
base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
